<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
     xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
     f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
     xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
     data-namespace-typo3-fluid="true">

    <f:asset.css identifier="drk_calltoaction-flyout" href="EXT:drk_calltoaction/Resources/Public/Css/flyout.css"/>

<div class="donation-calltoaction bg bg--red c-flyout js-flyout">
    <div class="donation-calltoaction__body c-flyout__body js-toggle-visible is-in-viewport">
        <f:if condition="{settings.amp} == '1'">
            <f:then>
                <div class="c-flyout__content bg bg--blue">
                    <div class="o-media o-media--stacked">
                        <figure class="o-media__img">
                            <f:render partial="Copyright" arguments="{media: files.0}"/>
                            <f:image treatIdAsReference="true"
                                     src="{files.0.uid}"
                                     alt="{files.0.originalResource.alternative}"
                                     title="{files.0.originalResource.title}"
                                     data="{copyright: '{files.0.properties.copyright}'}"/>
                        </figure>
                        <div class="o-media__body">
                            <span class="flyoutH4">{data.title}</span>
                            <f:format.html parseFuncTSPath="lib.parseFunc_RTE">{data.bodytext}</f:format.html>
                        </div>
                    </div>
                </div>
                <div class="c-flyout__foot c-flyout__foot--borderless">
                    <f:if condition="{data.link}">
                        <f:link.typolink parameter="{data.link}" class="c-flyout__action" additionalParams="&amount={data.amount}">
                            <span class="c-flyout__action-text">{data.linktext}</span>
                        </f:link.typolink>
                    </f:if>
                </div>
            </f:then>
            <f:else>
                <f:form actionUri="{f:uri.typolink(parameter: '{data.link}')}" action="form" objectName="donation" extensionName="drkdonations"
                        pluginName="donation"
                        controller="Donation">
                    <f:form.hidden property="purpose" value="{data.purpose}"/>
                    <div class="c-flyout__content">
                        <div class="o-media o-media--stacked">
                            <figure class="o-media__img">
                                <f:if condition="{files}">
                                    <f:variable name="imageSize">{drk:imageData(imgPath: '{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}')}</f:variable>
                                    <f:render partial="Copyright" arguments="{media: files.0}"/>
                                    <img src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                                         data-src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                                         alt="{files.0.originalResource.alternative}"
                                         title="{files.0.originalResource.title}"
                                         {imageSize -> f:format.raw()}
                                        class="lazyload"
                                    />
                                    <noscript>
                                        <img src="{f:uri.image(src: files.0.uid, treatIdAsReference: 1, width: 318)}"
                                             {imageSize -> f:format.raw()}
                                        alt="{files.0.originalResource.alternative}"
                                        title="{files.0.originalResource.title}" />
                                    </noscript>
                                </f:if>
                            </figure>
                            <div class="o-media__body donation-calltoaction__text">
                                <span class="flyoutH4">{data.title}</span>
                                <f:format.html parseFuncTSPath="lib.parseFunc_RTE">{data.bodytext}</f:format.html>
                            </div>
                        </div>

                        <div class="o-simple-form">
                            <fieldset class="o-simple-form__section">
                                <div class="o-simple-form__item h-relative">
                                    <label for="donation__amount_flyout" class="h-hide o-simple-form__label">
                                        <f:translate key="LLL:EXT:drk_calltoaction/Resources/Private/Language/locallang.xlf:partial.calltoaction.2.amount"/>
                                    </label>
                                    <f:form.textfield id="donation__amount_flyout"
                                                      class="o-simple-form__field c-flyout__input"
                                                      property="amount"
                                                      value="{data.amount}"
                                                      pattern="^(\d{1,5})?$"
                                                      required="True"
                                                      placeholder="{f:translate(id: 'partial.calltoaction.2.amount', extensionName:'drk_calltoaction')}"/>
                                    <span class="donation-calltoaction__currency h-text__currency">€</span>
                                    <div class="donation-calltoaction__button c-flyout__foot c-flyout__foot--borderless">
                                        <f:if condition="{data.link}">
                                            <f:if condition="{0:{f:cObject(typoscriptObjectPath: 'lib.pageid')}, 1:{f:cObject(typoscriptObjectPath: 'lib.pageid')}}=={0:2375, 1:300}">
                                                <f:then>
                                                    <f:form.button class="button button--primary c-flyout__action" id="Lesezeichenklick{data.uid}" name="Lesezeichenklick{data.uid}" value="{data.linktext}" onclick="ga('send', 'event', 'Lesezeichenklick', '{f:cObject(typoscriptObjectPath: 'lib.currentURL')}', 'https://www.drk.de/spenden/als-privatperson-spenden/jetzt-spenden/?tx_drkdonations_donation[action]=form&tx_drkdonations_donation[controller]=Donation&cHash=686d34cf68d10d8f2d0fcda36c92c42a');">

                                                        <span class="c-flyout__action-text">{data.linktext}</span>
                                                    </f:form.button>
                                                </f:then>
                                                <f:else>
                                                    <f:form.button class="button button--primary c-flyout__action" name="Lesezeichenklick{data.uid}" value="{data.linktext}">

                                                        <span class="c-flyout__action-text">{data.linktext}</span>
                                                    </f:form.button>
                                                </f:else>
                                            </f:if>
                                        </f:if>
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </f:form>
            </f:else>
        </f:if>
    </div>
</div>

</div>
